Description

The requirement originates from the EU Implementing regulation (EU 2023/1162) for access to metering & consumption data.

The new class will cover information that is relevant both for MarketEvaluationPoints, but also for time series, i.e. the suggestion is
then to put this information into a separate class and not to put attribute(s) into both classes. Another maintenance request under
preparation may result in further additions of attribute(s) to the new class.

The here suggested new attribute flowDirection is in the EU implementing regulation called "Direction" with the following description
"Flow direction metered by the metering point. This can be either solely production, consumption, or combined."

Proposed Solution

e The MR suggests adding the EnergyCharacteristics class to MarketManagement and associate it with Series and
MarketEvaluationPoint. See furhter attached PDF file.

Additional background from 7025 issue for consideration:

Additionally, | recommend we add a direction to the Grid Service as a separate field. Many resources can provide one one "side" of
the delivery, for example a load may be able to provide energy reduction (demand response), but not energy increase. Rather than
separate out each grid service, and enumeration called gridServiceDirection could be used with the following:

- BiDirectional
- Injection

- Withdrawal

- Increase

- Decrease

| suggest the two "flavors" because some products naturally make sense with one and not the other. For example, Voltage Increase
makes sense but not really Voltage Injection. Energy, on the other hand, makes sense ash Energy Injection and less so (although
not entirely with Energy Increase) - | think worth a debate. | do recommend against anything which can be viewed differently from the
grid and customer perspective, like "import" and "export” or "in" and "out". A battery might export to the grid, but the grid operator is
importing power from the customer. These "which side of the meter am | sitting" issues can lead to confusion and errors in
exchanges.

If this idea is not popular, we can always revert back to triplicating each service, e.g. RampingUp, RampingDown, and Ramping (for
the case where the service requires both directions and does not differentiate pricing based on direction).

We also need to consider similar constructs already established, of which there are more than | expected:
- flowDirection (string)

- FlowDirectionType (enumeration 'forward' and 'reverse')

- FlowDirectionKind (large enumeration focused on real/reactive power quadrants)

- RelativeDirectionKind (enumeration 'up','/down’,'upAndDown' and 'none’)

- BidDirectionKind (enumeration 'up', 'down’, 'upAndDown' and 'stable’)

- ScheduleKind (enumeration 'generation’, 'load’, 'loadincrease’, 'loadDecrease’, and soon 'genrationincrease’ and
'generationDecrease’)

- ComDirectionKind (enumeration 'fromDevice', 'toDevice', and 'biDirectional’)

This last one is close to what | propose, but is awkward to use with the "Com" in front. But it does sorta make sense with the service
coming from the device and/or going to the device, so | could see us using that with service; although the natural use would rather be
'fromResource’ and 'toResource’

Decision

10/10/2024: Considering use of enumeration ScheduleKind if the name of the enumeration could be changed to remove the term
"Schedule". Or make use of the existing FlowDirectionType which currently has "Forward" and "Reverse" to add in all enum values
from ScheduleKind (generation, load, loadIncrease, loadDecrease, generationincrease, generationDecrease). Possible to add
additional enum values of production, consumption (duplicates of generation, load). No decision has been made to date. Karyn and
Bhagyashree will propose an updated request.

2024/10/31: Notes:

Change ScheduleKind enumeration name to CommodityDirectionKind;
CommodityDirectionOptionsKind

- productionOnly

The commodity is allowed to flow into the grid only, for example a dedicated generation source

- consumptionOnly
The commodity is allowed to flow out of the grid only, for example a dedicated load

- combinedConsumptionProduction
The commodity may flow in either direction at any given time, for example an energy storage system or a load with embedded
generation

Description for what types of commodity flows are allowed at a given point on the grid.

CommodityDirectionKind
- production

- consumption

- productionincrease

- productionDecrease

- consumptionincrease

- consumptionDecrease

Description for the current state of a commodity flow at a given point on the grid.
Note: Review existing descriptions for enum value in ScheduleKind.

11/7: Jan, Karyn, Bhagyashree - Plan to propose UML model updates using the above two distinct enumerations.

11/21: Bhagyashree, Jan - Presented the use of the two new enumerations. Questions around the use of a new class with 0..many
cardinality vs incorporating the attributes into an existing class.

1/16: Jan discussed the new MR attached to add an attribute to MarketEvaluationPoint as a string to use the code list of produced,
consumed, combined. Team agreed to add the new attribute.

2/20:Team agreed to also make the change to the enum ScheduleKind to be CommodityDirectionKind with the enum values listed
above.

Release Notes

*k

Related issues:
Related to Market Management - CIM Issues #6293: Add energyFlowCategory (stri... Closed

History

#1 - 10/10/2024 11:06 AM - Becky Iverson
- Decision updated

- Release Notes updated

#2 - 10/10/2024 11:17 AM - Becky Iverson
- Proposed Solution updated

- Decision updated

#3 - 10/31/2024 10:58 AM - Becky Iverson

- Decision updated

#4 - 10/31/2024 11:02 AM - Becky Iverson

- Decision updated

#5 - 11/07/2024 11:02 AM - Becky Iverson
- Proposed Solution updated

- Decision updated

#6 - 11/21/2024 10:41 AM - Becky Iverson

- Decision updated

#7 - 12/05/2024 10:16 AM - Becky Iverson

- Status changed from New to Open

#8 - 12/05/2024 10:17 AM - Becky Iverson

- Status changed from Open to In Progress

#9 - 01/15/2025 08:54 AM - Jan Owe
- File MR for IEC 62325-301 and 351 ENTSO-E Addition of EnergyCharacteristics Class_rev_dJanuary2025.pdf added

After discussions in Europe in January an updated MR is submitted, suggesting the addition of just one attribute to the MarketEvaluationPoint. See
further the attached document.

#10 - 01/16/2025 10:51 AM - Becky Iverson
- Proposed Solution updated

#11 - 01/16/2025 10:53 AM - Becky Iverson

- Decision updated

#12 - 01/16/2025 10:57 AM - Becky Iverson

- Decision updated

#13 - 02/20/2025 11:04 AM - Becky Iverson

- Decision updated

#14 - 03/27/2025 10:29 AM - Becky Iverson
- Related to CIM Issues #6293: Add energyFlowCategory (string) to the AccountingPoint class added

Files
MR for IEC 62325-301 and 351 ENTSO-E Addition of EnergyCharacteB8ickBlass_ 2029026 /& 024 Jan Owe
MR for IEC 62325-301 and 351 ENTSO-E Addition of EnergyCharactedd@ckBlass_rev0 1ar5iia022025.pdf Jan Owe
